Teams
List teams
Lists teams with optional filters. Filter by memberId when you need teams that include a specific person. Filter by externalId when you need an external-system lookup.
GET
/
v1
/
public
/
teams
List teams
curl --request GET \
--url https://api.agile-tools.io/v1/public/teams \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v1/public/teams"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v1/public/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/teams"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v1/public/teams")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "6b9a8462-e58f-4697-a725-f55bb86e3b2d",
"name": "Platform Team",
"externalId": "TEAM_PLATFORM",
"leadId": "2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b",
"leadName": "Calvin Tyler Osborne",
"memberIds": [
"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca"
],
"memberNames": [
"Daphne Anderson"
],
"valueUnitIds": [
"ec62afde-2718-4e54-98d8-aa2578f5d8a6"
],
"valueUnitNames": [
"Platform"
],
"sprintIds": [
"7b17fb11-9e32-4f8f-9adf-6ee935aa0931"
],
"sprintNames": [
"Sprint 42"
],
"deleted": false
}
],
"meta": {
"requestId": "f056699e-497d-41d9-a877-d7c862de6587",
"timestamp": "2026-04-03T12:08:00Z",
"cursor": {
"limit": 25,
"total": 1,
"hasMore": false
}
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Query Parameters
Required range:
1 <= x <= 100⌘I
List teams
curl --request GET \
--url https://api.agile-tools.io/v1/public/teams \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v1/public/teams"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v1/public/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/teams",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/teams"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v1/public/teams")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/teams")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "6b9a8462-e58f-4697-a725-f55bb86e3b2d",
"name": "Platform Team",
"externalId": "TEAM_PLATFORM",
"leadId": "2f6db7d4-6e6c-4d4f-90f2-cbaac8441f7b",
"leadName": "Calvin Tyler Osborne",
"memberIds": [
"318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca"
],
"memberNames": [
"Daphne Anderson"
],
"valueUnitIds": [
"ec62afde-2718-4e54-98d8-aa2578f5d8a6"
],
"valueUnitNames": [
"Platform"
],
"sprintIds": [
"7b17fb11-9e32-4f8f-9adf-6ee935aa0931"
],
"sprintNames": [
"Sprint 42"
],
"deleted": false
}
],
"meta": {
"requestId": "f056699e-497d-41d9-a877-d7c862de6587",
"timestamp": "2026-04-03T12:08:00Z",
"cursor": {
"limit": 25,
"total": 1,
"hasMore": false
}
}
}
